> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/telecom-settings.md).

# Telecom Settings

## GET /ux/common/telecom\_settings/telecom\_settings/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TelecomSettings":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"settings_id":{"type":"string"},"module":{"type":"string"},"min_bw_individual":{"type":"number","format":"float"},"min_bw_corporate":{"type":"number","format":"float"},"max_bw_corporate":{"type":"number","format":"float"},"reservation_expiry_period":{"type":"number","format":"float"},"organization":{"type":"string"},"overprovisioning_factor":{"type":"number","format":"float"},"auto_reservation":{"type":"boolean"},"is_deleted":{"type":"boolean"}},"required":["id"]}}},"paths":{"/ux/common/telecom_settings/telecom_settings/":{"get":{"operationId":"ux_common_telecom_settings_telecom_settings_list","description":"API endpoint that allows users to be viewed or edited.","tags":["Telecom Settings"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TelecomSettings"}}}},"description":""}}}}}}
```

## POST /ux/common/telecom\_settings/telecom\_settings/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TelecomSettings":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"settings_id":{"type":"string"},"module":{"type":"string"},"min_bw_individual":{"type":"number","format":"float"},"min_bw_corporate":{"type":"number","format":"float"},"max_bw_corporate":{"type":"number","format":"float"},"reservation_expiry_period":{"type":"number","format":"float"},"organization":{"type":"string"},"overprovisioning_factor":{"type":"number","format":"float"},"auto_reservation":{"type":"boolean"},"is_deleted":{"type":"boolean"}},"required":["id"]}}},"paths":{"/ux/common/telecom_settings/telecom_settings/":{"post":{"operationId":"ux_common_telecom_settings_telecom_settings_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Telecom Settings"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}}},"description":""}}}}}}
```

## GET /ux/common/telecom\_settings/telecom\_settings/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TelecomSettings":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"settings_id":{"type":"string"},"module":{"type":"string"},"min_bw_individual":{"type":"number","format":"float"},"min_bw_corporate":{"type":"number","format":"float"},"max_bw_corporate":{"type":"number","format":"float"},"reservation_expiry_period":{"type":"number","format":"float"},"organization":{"type":"string"},"overprovisioning_factor":{"type":"number","format":"float"},"auto_reservation":{"type":"boolean"},"is_deleted":{"type":"boolean"}},"required":["id"]}}},"paths":{"/ux/common/telecom_settings/telecom_settings/{id}/":{"get":{"operationId":"ux_common_telecom_settings_telecom_settings_retrieve","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Telecom Settings"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}}},"description":""}}}}}}
```

## PUT /ux/common/telecom\_settings/telecom\_settings/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TelecomSettings":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"settings_id":{"type":"string"},"module":{"type":"string"},"min_bw_individual":{"type":"number","format":"float"},"min_bw_corporate":{"type":"number","format":"float"},"max_bw_corporate":{"type":"number","format":"float"},"reservation_expiry_period":{"type":"number","format":"float"},"organization":{"type":"string"},"overprovisioning_factor":{"type":"number","format":"float"},"auto_reservation":{"type":"boolean"},"is_deleted":{"type":"boolean"}},"required":["id"]}}},"paths":{"/ux/common/telecom_settings/telecom_settings/{id}/":{"put":{"operationId":"ux_common_telecom_settings_telecom_settings_update","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Telecom Settings"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}}},"description":""}}}}}}
```

## DELETE /ux/common/telecom\_settings/telecom\_settings/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/telecom_settings/telecom_settings/{id}/":{"delete":{"operationId":"ux_common_telecom_settings_telecom_settings_destroy","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Telecom Settings"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Gets a list of telecom Settings

> This endpoint is used to fetch all the telecom Settings in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TelecomSettings":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"settings_id":{"type":"string"},"module":{"type":"string"},"min_bw_individual":{"type":"number","format":"float"},"min_bw_corporate":{"type":"number","format":"float"},"max_bw_corporate":{"type":"number","format":"float"},"reservation_expiry_period":{"type":"number","format":"float"},"organization":{"type":"string"},"overprovisioning_factor":{"type":"number","format":"float"},"auto_reservation":{"type":"boolean"},"is_deleted":{"type":"boolean"}},"required":["id"]}}},"paths":{"/ux/common/telecom_settings/telecom_settings/get_settings/":{"get":{"operationId":"ux_common_telecom_settings_telecom_settings_get_settings_retrieve","description":"This endpoint is used to fetch all the telecom Settings in the current organization","summary":"Gets a list of telecom Settings","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Telecom Settings"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}}},"description":""}}}}}}
```

## POST /ux/common/telecom\_settings/telecom\_settings/update\_settings/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TelecomSettings":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"settings_id":{"type":"string"},"module":{"type":"string"},"min_bw_individual":{"type":"number","format":"float"},"min_bw_corporate":{"type":"number","format":"float"},"max_bw_corporate":{"type":"number","format":"float"},"reservation_expiry_period":{"type":"number","format":"float"},"organization":{"type":"string"},"overprovisioning_factor":{"type":"number","format":"float"},"auto_reservation":{"type":"boolean"},"is_deleted":{"type":"boolean"}},"required":["id"]}}},"paths":{"/ux/common/telecom_settings/telecom_settings/update_settings/":{"post":{"operationId":"ux_common_telecom_settings_telecom_settings_update_settings_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Telecom Settings"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TelecomSettings"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/telecom-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
